View Issue Details

IDProjectCategoryView StatusLast Update
0000471PluginsProcListpublic2008-03-11 20:03
ReporterVadikusAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000471: Неправильное отображение времени процессов
DescriptionПроцессорное время: 00:00:10.101 50%
Привилегированное время: 00:00:00.007 0%
Пользовательское время: 00:00:09.093 50%

Цифра после точки - неправильная.

Проверил если руками запросить GetProcessTimes
К примеру Far выдает 00:00:10.101, а должен 00:00:10.187
  выдает 00:00:00.007, а должен 00:00:00.752
Т.е. подозреваю что число после точки поделено на лишную 100,
потому что первые 2 цифры числа милисекунд (после точки) всегда соответствуют количеству секунд.
У меня Vista.
TagsNo tags attached.

Activities

Vadikus

2008-03-02 12:18

reporter   bugnote:0001190

Last edited: 2008-03-02 12:19

Решение для бага 0000471.

Файл PlistNT.cpp
Процедура TCHAR* PrintTime(ULONGLONG ul100ns, bool bDays)
Строка FSF.sprintf(buf+lstrlen(buf), _T(".%03d"), (ul100ns/1000000)%1000 );

По-моему должно быть исправлено так:
  (ul100ns/1000000)%1000 -> (ul100ns/10000)%1000
Тогда это будут именно миллисекунды после точки.

alexy

2008-03-08 08:18

administrator   bugnote:0001230

fixed

alexy

2008-03-08 09:58

administrator   bugnote:0001237

Нужно полное имя для CONTRIBUTORS.

Issue History

Date Modified Username Field Change
2008-03-01 15:26 Vadikus New Issue
2008-03-02 10:39 alexy Project Far Manager 1.7x => Plugins
2008-03-02 10:40 alexy Note Added: 0001187
2008-03-02 10:40 alexy Category _Common => ProcList
2008-03-02 12:18 Vadikus Note Added: 0001190
2008-03-02 12:19 Vadikus Note Edited: 0001190
2008-03-02 12:20 alexy Status new => assigned
2008-03-02 12:20 alexy Assigned To => alexy
2008-03-08 08:18 alexy Note Added: 0001230
2008-03-08 08:18 alexy Status assigned => feedback
2008-03-08 09:58 alexy Note Added: 0001237
2008-03-11 20:02 alexy Status feedback => closed
2008-03-11 20:03 alexy Resolution open => fixed
2008-03-11 20:03 alexy Fixed in Version => 1.71